/*
  Fade

  This example shows how to fade an LED on pin 9 using the analogWrite() function.
  The analogWrite() function uses PWM, so if you want to change the pin you're
  using, be sure to use another PWM capable pin. 
  On most Arduino, the PWM pins are identified with a "~" sign, like ~3, ~5, ~6, ~9, ~10 and ~11.
  This example code is in the public domain.
  http://www.arduino.cc/en/Tutorial/Fade
*/
int led = 9;             // The PWM pin the LED is attached to.
int brightness = 0;      // How bright the LED is. Range is 0 to 255 for PWM.
int fadeAmount = 5;      // How many points to fade the LED by.
///////////////////////
void setup() {           // The setup routine runs once when you press reset.
  pinMode(led, OUTPUT);  // Declare pin 9 to be an output.
}
///////////////////////
void loop() {                                  // The loop routine runs over and over again forever.
  analogWrite(led, brightness);                // Set the brightness of pin 9.
  brightness = brightness + fadeAmount;        // Change the brightness for next time through the loop: 
  if (brightness <= 0 || brightness >= 255) {  // Reverse the direction of the fading at the ends of the fade.
    fadeAmount = -fadeAmount;
  }
  delay(30);                                   // Wait for 30 milliseconds to see the dimming effect
}
